Skip to main content
GET
/
v1
/
pay
/
convert
/
pair
Query Available Currency Pairs
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/convert/pair \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": [
    {
      "pair": "BTC_USDT",
      "sellCurrency": "BTC",
      "sellCurrencyMax": "31",
      "sellCurrencyMin": "0.0002",
      "buyCurrency": "USDT",
      "buyCurrencyMax": "1980000",
      "buyCurrencyMin": "12"
    },
    {
      "pair": "BNB_USDT",
      "sellCurrency": "BNB",
      "sellCurrencyMax": "410",
      "sellCurrencyMin": "0.1",
      "buyCurrency": "USDT",
      "buyCurrencyMax": "100000",
      "buyCurrencyMin": "10"
    }
  ]
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID assigned when registering the application

Example:

"mZ96D37oKk-HrWJc"

X-GatePay-Signature
string
required

Request signature for verification

Example:

"8504fe097f7297f8952c76e628ce59dbc93d1df64c95f26c73140ef365d4aa1471826ada0534315461682ec35c131d7e133c51d2ab0822fe7366650a111887ba"

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds

Example:

"1740019013818"

X-GatePay-Nonce
string
required

Random string, recommended length within 32 characters

Example:

"9722139164"

Query Parameters

side
enum<string>

Trade direction ("buy" or "sell")

Available options:
buy,
sell
Example:

"buy"

currency
string
required

Currency

Example:

"GT"

Response

200 - application/json

Success

status
string

SUCCESS or FAIL

code
string

Error code

errorMessage
string

Error message

data
object[]